package com.brilliance.isc.funds.common.controller;

import com.brilliance.isc.bo.Bch;
import com.brilliance.isc.common.api.bch.service.BchService;
import com.brilliance.isc.vo.ResponseSet;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/bch")
public class BchController {

    @Autowired
    private BchService bchService;


    @RequestMapping("/getBranchListByownExtKey")
    public ResponseSet<List<Bch>> getBranchListByownExtKey(@RequestBody Map<String, Object> body) {
        String ownExtKey = body.get("ownExtKey").toString();
        List<Bch> bchList = new ArrayList<>();
        return new ResponseSet(bchService.listAllByOwnExtKey(ownExtKey));
    }
}
