package com.brilliance.isc.funds.fxtlop.register.fee;

import com.brilliance.isc.common.liaall.service.LiaallService;
import com.brilliance.isc.common.register.fee.AbstractFeeRegister;
import com.brilliance.isc.common.register.fee.common.DocumentFeeRegister;
import com.brilliance.isc.common.register.fee.common.LiaallFeeRegister;
import com.brilliance.isc.common.register.fee.common.SetmodFeeRegister;
import com.brilliance.isc.common.setfeg.service.SetfegService;
import com.brilliance.isc.common.setmod.vo.SetmodVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.swing.text.Document;

@Component("fxtlop.feeRegister")
public class FxtlopFeeRegister extends AbstractFeeRegister {

    @Autowired
    private SetfegService setfegService;
    @Autowired
    private DocumentFeeRegister documentFeeRegister;
    @Autowired
    private LiaallFeeRegister liaallFeeRegister;
    @Autowired
    private SetmodFeeRegister setmodFeeRegister;

    @Override
    public void registerSettlement(SetmodVo setmodVo) {
        setmodFeeRegister.registerSettlement(setmodVo);
        documentFeeRegister.registerSettlement(setmodVo);
        liaallFeeRegister.registerSettlement(setmodVo);
    }
}
